[arch-commits] Commit in giblib/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 5 22:51:20 EDT 2009


    Date: Sunday, April 5, 2009 @ 22:51:20
  Author: eric
Revision: 33924

Merged revisions 356,4530,33921 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/giblib/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4530 | ronald | 2008-07-07 18:19:37 -0400 (Mon, 07 Jul 2008) | 1 line
  
  fix license
........
  r33921 | eric | 2009-04-05 21:48:52 -0400 (Sun, 05 Apr 2009) | 2 lines
  
  upgpkg: giblib 1.2.4-4
      Added license, FHS docs
........

Modified:
  giblib/repos/extra-i686/	(properties)
  giblib/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)


Property changes on: giblib/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /giblib/trunk:1
   + /giblib/trunk:1-33923

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-06 02:32:38 UTC (rev 33923)
+++ extra-i686/PKGBUILD	2009-04-06 02:51:20 UTC (rev 33924)
@@ -4,17 +4,22 @@
 
 pkgname=giblib
 pkgver=1.2.4
-pkgrel=3
+pkgrel=4
 pkgdesc="Giblib is a library that feh uses as a wrapper to imlib2"
+arch=('i686' 'x86_64')
+url="http://linuxbrit.co.uk/giblib/"
+license=('MIT')
 depends=('imlib2' 'libxext' 'freetype2')
+options=('!libtool')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
-url="http://linuxbrit.co.uk/giblib/"
 md5sums=('c810ef5389baf24882a1caca2954385e')
 
 build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr
-make || return 1
-make prefix=$startdir/pkg/usr install
-find $startdir/pkg -name '*.la' -exec rm {} \;
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/giblib install || return 1
+
+# install custom license
+  install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
 }



More information about the arch-commits mailing list